<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>edu.byu.hbll.maven</groupId>
    <artifactId>library-parent</artifactId>
    <version>5.0.0</version>
  </parent>

  <groupId>edu.byu.hbll</groupId>
  <artifactId>json</artifactId>
  <version>1.5.0</version>
  <packaging>jar</packaging>

  <name>JSON Library</name>
  <description>Various JSON helper classes and utilities based on Jackson. This also provides as compile dependencies the Jackson annotations, core, databind, datatype-jdk8, module-jaxb-annotations, and datatype-jsr310 modules along with snakeyaml. Therefore you only need to declare this library as a dependency in order to include those other dependencies.</description>
  <url>https://gitlab.com/byuhbll/lib/java/${project.artifactId}</url>

  <properties>
    <scm.repository>gitlab.com/byuhbll/lib/java/${project.artifactId}</scm.repository>
  </properties>

  <scm>
    <connection>scm:git:git://${scm.repository}.git</connection>
    <developerConnection>scm:git:ssh://${scm.repository}.git</developerConnection>
    <url>https://${scm.repository}</url>
  </scm>

  <dependencies>
    <!-- the following dependencies are guaranteed to be here so other apps/libraries 
      do not have to redeclare them -->
    <!-- begin guaranteed libraries -->
    <dependency>
      <groupId>com.fasterxml.jackson.core</groupId>
      <artifactId>jackson-annotations</artifactId>
    </dependency>
    <dependency>
      <groupId>com.fasterxml.jackson.core</groupId>
      <artifactId>jackson-core</artifactId>
    </dependency>
    <dependency>
      <groupId>com.fasterxml.jackson.core</groupId>
      <artifactId>jackson-databind</artifactId>
    </dependency>
    <dependency>
      <groupId>com.fasterxml.jackson.datatype</groupId>
      <artifactId>jackson-datatype-jdk8</artifactId>
    </dependency>
    <dependency>
      <groupId>com.fasterxml.jackson.module</groupId>
      <artifactId>jackson-module-jaxb-annotations</artifactId>
    </dependency>
    <dependency>
      <groupId>com.fasterxml.jackson.datatype</groupId>
      <artifactId>jackson-datatype-jsr310</artifactId>
    </dependency>
    <dependency>
      <groupId>org.yaml</groupId>
      <artifactId>snakeyaml</artifactId>
      <version>2.3</version>
    </dependency>
    <!-- end guaranteed libraries -->
  </dependencies>

</project>